#!/bin/bash

if [ -z "$WEBDIR" ] || [ -z "$LNXDIR" ]
then
  echo set WEBDIR and LNXDIR
  exit 1
fi

cd "$LNXDIR"/hg
rm -rf "$WEBDIR"/readme
mkdir "$WEBDIR"/readme
for i in $(find . -name "*[Rr][Ee][Aa][Dd][Mm][Ee]*" | grep -v "Documentation/")
do
  OUT=$(echo $i | sed -e 's@\./@@' -e 's@/@-@g')
  cp $i "$WEBDIR"/readme/$OUT
done
make help > "$WEBDIR"/makehelp.txt
